# -*- coding: iso-8859-15 -*-

#	ModuleName: Info
#	Version: 3.0.0
#  	Licence: GPL v3

#    Info is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

import gtk
import gtk.glade
import os

class Info:
	def __init__ (self):
		self.UrlHelp="http://www.pclinuxos.com/"
		gtk.about_dialog_set_url_hook(self.ShowUrl, None)
		self.Info = gtk.glade.XML("Info.glade")
		eventi={
			"on_Info_close":self.HideInfo,
			"on_Info_response":self.HideInfo,
			"on_Info_delete_event":self.HideInfo,
			"on_Info_destroy_event":self.HideInfo
		}
		self.Info.get_widget('Info').set_program_name("GimpSplasher")
		self.Info.get_widget('Info').set_version("3.0.0")
		self.Info.get_widget('Info').set_copyright("Copyright \xc2\xa9 2018")
		self.Info.get_widget('Info').set_website(self.UrlHelp)
		self.Info.get_widget('Info').set_website_label("www.pclinuxos.com/")
		
		self.Info.get_widget('Info').show_all()
		self.Info.signal_autoconnect(eventi)
		gtk.main()
	
	def HideInfo(self,obj,obj2):
		self.Info.get_widget('Info').hide_all()
		gtk.main_quit()
		
	def ShowUrl(self,d, link, data):
		if 0==os.fork():
			os.execvp("xdg-open", ["xdg-open", self.UrlHelp])
Info()

